Create approval requests
curl --request POST \
--url https://app.tryordinal.com/api/v1/approvals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postId": "550e8400-e29b-41d4-a716-446655440000",
"approvals": [
{
"userId": "550e8400-e29b-41d4-a716-446655440011",
"message": "Please review the messaging before we publish",
"dueDate": "2026-01-14T17:00:00.000Z",
"isBlocking": true
}
]
}
'import requests
url = "https://app.tryordinal.com/api/v1/approvals"
payload = {
"postId": "550e8400-e29b-41d4-a716-446655440000",
"approvals": [
{
"userId": "550e8400-e29b-41d4-a716-446655440011",
"message": "Please review the messaging before we publish",
"dueDate": "2026-01-14T17:00:00.000Z",
"isBlocking": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
postId: '550e8400-e29b-41d4-a716-446655440000',
approvals: [
{
userId: '550e8400-e29b-41d4-a716-446655440011',
message: 'Please review the messaging before we publish',
dueDate: '2026-01-14T17:00:00.000Z',
isBlocking: true
}
]
})
};
fetch('https://app.tryordinal.com/api/v1/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdApprovals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isBlocking": true,
"message": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"requestedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}
],
"existingApprovals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isBlocking": true,
"message": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"requestedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}
]
}{
"code": "BAD_REQUEST",
"message": "Bad Request",
"data": {
"errors": {
"publishAt": [
"Invalid date format"
],
"status": [
"Invalid enum value"
]
}
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "NOT_FOUND",
"message": "Post not found or does not belong to this workspace"
}Approvals
Create approval requests
Create one or more approval requests for a post
POST
/
approvals
Create approval requests
Authorizations
API key authentication. Generate an API key from your workspace settings.
Was this page helpful?
⌘I